6.0.0-git
2021-01-18

[#8659] More magic folders
Summary More magic folders
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2009-10-23 (4105 days ago)
Due
Updated 2010-09-22 (3771 days ago)
Assigned
Resolved 2010-09-22 (3771 days ago)
Milestone 5
Patch No

History
2010-09-22 06:21:50 Michael Slusarz Comment #6
Assigned to Michael Slusarz
State ⇒ Resolved
Milestone ⇒ 5
Reply to this comment
Marking as resolved - saved filters have been implemented in IMP 5.

Not implementing 'group conversations' at this time - there is no way 
to do this query via just IMAP search selectors, so it seems to be too 
much overhead for minimal gain.
2010-09-22 05:32:00 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

Create search filters UI in IMP.
These are generic search queries that can be applied to any mailbox.
Presently, these filters are only usable in IMP.  The dimp interface has
not yet been written.

See, e.g., Request #8659.

  create mode 100644 imp/lib/Search/Filter.php
  create mode 100644 imp/lib/Search/Filter/Bulk.php
http://git.horde.org/diff.php/imp/config/prefs.php.dist?rt=horde-git&r1=328955d4125b8f1bccbc0cafff24ca453dbe5d11&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/docs/CHANGES?rt=horde-git&r1=785b2f87071be74e253c2b8ec2861d8e5e8a602c&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/js/mailbox.js?rt=horde-git&r1=25e4e9f441d22b3df2b6f6396ff8b4be3063695c&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/js/search.js?rt=horde-git&r1=6498dfc7478104d8c5bb32f40692d2a31b99d1d6&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/js/searchesprefs.js?rt=horde-git&r1=e6a5a80835ffcf5a625383ad0d68754676c42b71&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/lib/Prefs/Ui.php?rt=horde-git&r1=b9ab06d7eee17bebddf7c67fc4dd0de497f7efa6&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/lib/Search.php?rt=horde-git&r1=7cf8900b7336d3339f95d8b76d3c1174f24da4a5&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/co.php/imp/lib/Search/Filter.php?rt=horde-git&r=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/co.php/imp/lib/Search/Filter/Bulk.php?rt=horde-git&r=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/mailbox.php?rt=horde-git&r1=0b933ffd4447d918f445484d43a70d70ff25bc27&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/search.php?rt=horde-git&r1=6498dfc7478104d8c5bb32f40692d2a31b99d1d6&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/templates/imp/mailbox/form_start.html?rt=horde-git&r1=4610569c2a8015d47b0dd6c41ed5258c2a04b3c9&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/templates/imp/mailbox/navbar.html?rt=horde-git&r1=55b00688ec61efc6d4b74eb5d7bd928ffb9a541a&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/templates/imp/search/search.html?rt=horde-git&r1=6498dfc7478104d8c5bb32f40692d2a31b99d1d6&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/templates/prefs/searches.html?rt=horde-git&r1=e6a5a80835ffcf5a625383ad0d68754676c42b71&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
http://git.horde.org/diff.php/imp/themes/screen.css?rt=horde-git&r1=e6a5a80835ffcf5a625383ad0d68754676c42b71&r2=8267407b9326e82ce455e88ebd87d5841e0c3268
2010-07-02 19:07:32 Michael Slusarz Comment #2 Reply to this comment
I think that these categories make more sense as predefined filters, 
rather than Virtual Folders.
2009-10-23 09:33:25 Jan Schneider Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ More magic folders
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Some ideas for more "magic" virtual folders, inspired by Mozilla Raindrop:

- Direct messages (To:/Cc: matching identities)

- Group conversations (more than one recpient)

- Mailing lists (identified and categorized by mailing list headers)

- Bulk messages/newsletters (identified by bulk headers)

Saved Queries